TIREX-CHECK-CONFIG(1)

NAME
tirex-check-config - check Tirex config files

SYNOPSIS
tirex-check-config [OPTIONS]

OPTIONS

-h, --help
    Display help message.

-c, --config=DIR
    Use the config directory DIR instead of /etc/tirex.

DESCRIPTION
Checks the Tirex config files and outputs errors and warnings. All lines beginning with 'X' are errors, all warnings begin with '!'.

Note that this program is intended to help the admin. It can't detect all errors.

Currently only the main config file is checked. Checking of renderer and map config should be added. Patches welcome!

FILES

/etc/tirex/tirex.conf
    The configuration file.

DIAGNOSTICS
tirex-check-config returns

0 if the config looks ok
1 if warnings were found
2 if errors were found

SEE ALSO
<http://wiki.openstreetmap.org/wiki/Tirex>

AUTHORS
Frederik Ramm <frederik.ramm@geofabrik.de>, Jochen Topf <jochen.topf@geofabrik.de> and possibly others.